Ticket #39627

Add Date & Time API

Open Date: 2019-09-30 20:36 Last Update: 2020-02-01 14:26

Reporter:
Owner:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
File:
None

Details

Add Date & Time API

Ticket History (3/7 Histories)

2019-09-30 20:36 Updated by: miyakawataku
  • New Ticket "Add Date & Time API" created
2019-11-18 12:29 Updated by: miyakawataku
  • Owner Update from (None) to miyakawataku
2019-11-18 12:48 Updated by: miyakawataku
Comment

Types:

  • date
  • time
  • date_time
  • (instant)
  • ... that's all?

Design options:

  • Should Instant be represented as a mere number, or as an ADT?
:INSTANT.require_from('kink/time/')
:DATE_TIME.require_from('kink/time/')
xxx{
  :Now = INSTANT.now
  [:Now_dt :Offset] = Now.to_date_time('Asia/Tokyo')
  # or
  [:Now_dt :Offset] = DATE_TIME.new_local_offset_pair(Now)
  :Now_utc = DATE_TIME.new_utc(Now)
}
2019-11-19 13:27 Updated by: miyakawataku
Comment

Types:

  • instant
  • date_time
  • utc_offset
  • offset_date_time
  • day_of_week
(Edited, 2019-12-26 12:27 Updated by: miyakawataku)
2019-11-24 20:59 Updated by: miyakawataku
Comment

Working on the branch issue_39627-datetime-api

2020-02-01 14:26 Updated by: miyakawataku
  • Status Update from Open to Closed
Comment

Closed by the commit ac83ea9c98574dfa0ccc852f9cb2702c0c7afc26

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login